export interface MenuItem {
  index: string
  id: number
  label: string
  children?: MenuItem[]
}

const menu: MenuItem[] = [
  {
    index: '/dashboard',
    id: 1,
    label: '概览',
  },
  // {
  //   index: '/product',
  //   id: 11,
  //   label: '商品',
  // },
  {
    index: '4',
    id: 7,
    label: '物流',
    children: [
      {
        index: '/logistics/logisticsCompany',
        id: 11,
        label: '物流公司',
      },
      {
        index: '/logistics/logisticsMethod',
        id: 1,
        label: '物流方式',
      },
      {
        index: '/logistics/shippingAddress',
        id: 2,
        label: '发货地址',
      },
      {
        index: '/logistics/logisticsQuotation',
        id: 3,
        label: '物流报价',
      },
      {
        index: '/logistics/declarationRule',
        id: 4,
        label: '申报规则',
      },
      {
        index: '/logistics/logisticsPartition',
        id: 5,
        label: '物流分区',
      },
      {
        index: '/logistics/logisticsCalculate',
        id: 6,
        label: '运费试算',
      },
      {
        index: '/logistics/sortingConfiguration',
        id: 7,
        label: '分拣配置',
      },
    ],
  },
  {
    index: '13',
    id: 13,
    label: '库存',
    children: [
      {
        index: '/warehouse/warning',
        id: 125,
        label: '仓库预警',
      },
      {
        index: '/warehouse/receipt-doc',
        id: 123,
        label: '入库单',
      },
      {
        index: '/warehouse/issue-doc',
        id: 124,
        label: '出库单',
      },

      {
        index: '/warehouse/manage',
        id: 121,
        label: '仓库管理',
      },
      {
        index: '/warehouse/position',
        id: 122,
        label: '库位管理',
      },
    ],
  },

  {
    index: '1',
    id: 2,
    label: '订单',
    children: [
      {
        index: '/order/list',
        id: 1,
        label: '定制订单',
      },
      {
        index: '/pod-order/list',
        id: 7,
        label: 'POD订单',
      },
      {
        index: '/pod-us-order/list',
        id: 8,
        label: 'POD订单(US)',
      },
    ],
  },

  {
    index: '11',
    id: 3,
    label: '对账单',
    children: [
      {
        index: '/account/statement-note',
        id: 1,
        label: '定制对账单',
      },
      {
        index: '/account/pod-bill-order',
        id: 2,
        label: 'POD对账单',
      },
    ],
  },
  {
    index: '2',
    id: 4,
    label: '发货单',
    children: [
      {
        index: '/system/delivery-note',
        id: 1,
        label: '定制发货单',
      },
      {
        index: '/pod-delivery-note/list',
        id: 2,
        label: 'POD发货单',
      },
    ],
  },

  {
    index: '/typesetting-management/list',
    id: 5,
    label: '打版管理',
  },
  {
    index: '3',
    id: 6,
    label: '系统设置',
    children: [
      {
        index: '/system/user',
        id: 4,
        label: '用户管理',
      },
      {
        index: '/system/external-authorisation',
        id: 5,
        label: '外部授权',
      },
    ],
  },

  // {
  //   index: '',
  //   id: 3,
  //   label: '生产管理',
  //   children: [
  //     {
  //       index: '/production/complete',
  //       id: 4,
  //       label: '生产完成',
  //     }
  //   ]
  // },
]

export default menu
